﻿
@font-face {
    font-family: "IBMArabic-Regular";
    src: url('../fonts/IBM_Plex_Sans_Arabic/IBMPlexSansArabic-Regular.ttf') format('truetype');
    font-weight: 400;
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "IBMArabic-Medium";
    src: url('../fonts/IBM_Plex_Sans_Arabic/IBMPlexSansArabic-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
    font-display: swap
}

@font-face {
    font-family: "IBMArabic-SemiBold";
    src: url('../fonts/IBM_Plex_Sans_Arabic/IBMPlexSansArabic-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
    font-display: swap
}

@font-face {
    font-family: "IBMArabic-Bold";
    src: url('../fonts/IBM_Plex_Sans_Arabic/IBMPlexSansArabic-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
    font-display: swap
}

@font-face {
    font-family: "IBMArabic-Thin";
    src: url('../fonts/IBM_Plex_Sans_Arabic/IBMPlexSansArabic-Thin.ttf') format('truetype');
    font-weight: 100;
    font-style: normal;
    font-display: swap
}

@font-face {
    font-family: "IBMArabic-Light";
    src: url('../fonts/IBM_Plex_Sans_Arabic/IBMPlexSansArabic-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
    font-display: swap
}

a {
    -webkit-transition: all 250ms ease-in-out;
    -moz-transition: all 250ms ease-in-out;
    -ms-transition: all 250ms ease-in-out;
    -o-transition: all 250ms ease-in-out;
    transition: all 250ms ease-in-out;
}

.alert-primary {
    background: #dfecf5;
    border: 1px solid #88c1e6 !important;
}


.SearchForm input, .SearchForm select {
    border: 1px solid #88c1e6 !important;
    font-size: 0.8em;
    margin-top: 6px;
    margin-bottom: 6px;
}


.NoPadingRight {
    padding-right: 0 !important;
}

.SearchForm input[type="submit"] {
    background: #0071bc;
    width: 150px;
    color: #ffffff;
    font-weight: 700;
    font-size: 1em;
}

[dir='rtl'].body {
    direction: rtl;
    font-family: 'IBMArabic-Medium', sans-serif;
}

[dir='ltr'].body {
    direction: ltr;
    font-family: 'IBMArabic-Medium', sans-serif;
}

[dir='rtl']#myModal {
    direction: ltr;
}

[dir='ltr']#myModal {
    direction: rtl;
}


/*.header__top {
    height: 40px;
}*/
main {
    min-height: 60vh !important;
}

#collapseOne {
    padding: 0 !important;
}

@media (max-width: 1200px) {
    main {
        padding-top: 135px;
    }
}

.fade.show {
    opacity: 1;
}

.modal-backdrop.show {
    opacity: 0.5 !important;
}

.modal-backdrop {
    position: relative !important;
}

select.form-control:not([size]):not([multiple]) {
    height: auto; /* إعادة تعيين القيمة الافتراضية */
}

.navbar-brand img {
    /*height: 80px !important;*/
    width: auto !important;
}

.checkboxDiv {
    display: flex;
}

.form-check:not(.form-switch) {
    margin: 0px 10px;
}

/*.footer-logo img {
    height: 80px !important;
}*/

.alert-danger {
    border: none;
    border-bottom: 2px solid;
    border-radius: 0;
    background-color: #fecdca;
    color: #d92d20;
    border-bottom-color: #d92d20;
    padding: 22px 24px;
    /*    position: fixed; 
    left: 0;
    right: 0;
    z-index: 1050; 
    border-radius: 0;*/
}

.alert-warning {
    border: none;
    border-bottom: 2px solid;
    border-radius: 0;
    padding: 22px 24px;
    /*    position: fixed; 
    left: 0;
    right: 0;
    z-index: 1050; 
    border-radius: 0;*/
}

.alert-success {
    border: none;
    border-bottom: 2px solid;
    border-radius: 0;
    padding: 22px 24px;
}

.close {
    float: left;
    border: 0;
    background-color: transparent !important;
}

#accordionExample {
    border-right: 1px solid var(--color-border-color) !important;
    border-left: 1px solid var(--color-border-color) !important;
}

.accordion-item__title {
    color: var(--color-black) !important;
    width: 100%;
}

form label {
    margin-bottom: 8px !important;
}

.form-label.required:before {
    content: "*";
    color: #d6183a;
}

.form-label.required:after {
    content: "" !important;
    color: #d6183a;
}

.header__container {
    max-height: 40px;
    -webkit-box-align: center !important;
    -ms-flex-align: center !important;
    align-content: center !important;
}

.navbar-expand-xl {
    max-height: 72px;
    height: 72px;
}

.nice-select.open .nice-select-dropdown {
    max-height: 240px;
    overflow-y: auto;
    overflow-x: hidden;
}

input[type="radio"]:hover, input[type="checkbox"]:hover {
    accent-color: #074D31;
}

input[type="radio"]:focus, input[type="checkbox"]:hover {
    accent-color: #074D31;
}

input[type="radio"]:focus-visible, input[type="checkbox"]:hover {
    accent-color: #074D31;
}

input[type="radio"]:focus-within, input[type="checkbox"]:hover {
    accent-color: #074D31;
}
/* Remove default focus outline */
input[type="radio"]:focus {
    outline: none;
    box-shadow: none;
}

/* Remove hover effect that changes color */
input[type="radio"]:hover, input[type="checkbox"]:hover {
    background-color: transparent !important;
}

/* Ensure selected radio button doesn't turn black */
input[type="radio"]:checked, input[type="checkbox"]:checked {
    accent-color: initial; /* Reset to default */
    display: inline-block !important;
}

/* Optional: Style custom radio button */
input[type="radio"] {
    appearance: none; /* Remove default styling */
    width: 16px;
    height: 16px;
    border: 1px solid #074D31; /* Border color */
    border-radius: 50%;
    position: relative;
    background-color: #fff;
    cursor: pointer;
    margin: 0 3px;
    display: inline-block !important;
}

    /* Custom checked state */
    input[type="radio"]:checked::before {
        content: "";
        width: 10px;
        height: 10px;
        background-color: #074D31;
        border-radius: 50%;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

/* Remove default browser styles */
input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 18px;
    height: 18px;
    border: 2px solid #074D31;
    border-radius: 4px;
    background-color: #fff; /* Keep background white */
    cursor: pointer;
    position: relative;
   display: inline-block !important;
}

    /* Keep checkmark visible when checked */
    input[type="checkbox"]:checked {
        background-color: #074D31;
        border-color: #074D31;
    }

        /* Custom checkmark */
        input[type="checkbox"]:checked::before {
            content: "✔"; /* Unicode checkmark */
            font-size: 14px;
            color: white;
            font-weight: bold;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }

    /* No background change on hover when unchecked */
    input[type="checkbox"]:not(:checked):hover {
        background-color: transparent !important; /* No background color */
        border-color: #074D31; /* Keep border color */
    }

    /* Keep checkmark visible on hover when checked */
    input[type="checkbox"]:checked:hover {
        background-color: #074D31 !important; /* Maintain checked background */
        border-color: #0056b3; /* Slightly darker border */
    }

        /* Ensure checkmark does not disappear on hover */
        input[type="checkbox"]:checked:hover::before {
            color: white !important; /* Force checkmark to stay visible */
        }



@media (max-width: 991.98px) {
    .item-HijriDate {
        display: none;
    }
}

@media (min-width: 992px) {
    .container, .container-md, .container-sm {
        padding-top: 0px;
    }
}

@media (max-width: 991.98px) {
    .container, .container-md, .container-sm {
        margin-top: 80px
    }
}

@media (max-width: 992px) {

    .table td::before {
        content: attr(data-label) !important;
        font-weight: bold !important;
        width: 50% !important;
        display: inline-block !important;
    }
}

@keyframes default-botfront-blinker-animation {
    0% {
        outline-color: rgba(0, 255, 0, 0);
    }

    49% {
        outline-color: rgba(0, 255, 0, 0);
    }

    50% {
        outline-color: green;
    }

    100% {
        outline-color: green;
    }
}

/* Popup Styling */
.popup {
    direction: ltr;
    display: none;
    position: fixed;
    flex-direction: column;
    box-sizing: border-box;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    max-width: 800px;
    height: auto;
    justify-content: center;
    align-items: center;
    padding: 1px;
    color: #f8f8f8;
    background-color: rgba(0, 0, 0, 0.5);
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    overflow: auto;
    outline: none;
    -webkit-text-size-adjust: 100%;
    -moz-text-size-adjust: none;
    -ms-text-size-adjust: 100%;
    text-size-adjust: 100%;
    /*    background: var(--fancybox-bg);
    opacity: var(--fancybox-opacity, 1);*/
    will-change: opacity;
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.5);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    z-index: 1000; /* Ensures the popup is on top */
}


.popup-content {
    background: white !important;
    padding: 20px;
    border-radius: 10px;
    width: 100%;
}



.owl-carousel {
    display: flex !important;
    flex-direction: row !important;
}


    /*    .owl-carousel .owl-nav button.owl-prev{
       left:0 !important;
       margin:10px !important;
    }
    .owl-carousel .owl-nav button.owl-next {
        right: 0 !important;
        margin: 10px !important;
    }*/

    .owl-carousel .owl-item img {
        display: flex;
        width: 100% !important;
    }

.f-button.is-close-btn {
    --f-button-color: #fff !important;
    --f-button-bg: transparent !important;
    --f-button-hover-bg: transparent !important;
    --f-button-active-bg: transparent !important;
    --f-button-svg-width: 22px !important;
    --f-button-svg-height: 22px !important;
    position: absolute !important;
    right: 0 !important;
    width: 34px !important;
    height: 34px !important;
    border-radius: 4px !important;
    color: #000000 !important;
    opacity: 0.75 !important;
}


arrow-right-01-icon {
    width: 100%;
    position: absolute !important;
    max-width: 100%;
    overflow: hidden;
    height: 13.5px;
}

.owl-nav {
    display: block !important;
    position: absolute !important;
    top: 15% !important;
    width: 100% !important;
    transform: translateY(-50%) !important; /* Ensures proper vertical centering */
}

/* Style for Previous and Next buttons */
.owl-prev {
    left: 0 !important;
    position: absolute !important;
    background-color: #f3f4f6 !important;
    color: #161616 !important;
    border-radius: 4px;
    height: 40px;
    min-width: 40px;
    max-width: 40px;
    min-height: 40px;
    max-height: 40px;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    font-size: 24px !important;
    cursor: pointer !important;
    padding: 0 16px !important;
    box-sizing: border-box;
    cursor: pointer;
    flex-shrink: 0;
    overflow: hidden;
    transition: background-color 0.3s ease;
    z-index: 10;
    margin-top: 100px;
}

.owl-next {
    right: 0 !important;
    position: absolute !important;
    background-color: #f3f4f6 !important;
    color: #161616 !important;
    border-radius: 4px;
    height: 40px;
    min-width: 40px;
    max-width: 40px;
    min-height: 40px;
    max-height: 40px;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    font-size: 24px !important;
    cursor: pointer !important;
    padding: 0 16px !important;
    box-sizing: border-box;
    cursor: pointer;
    flex-shrink: 0;
    overflow: hidden;
    transition: background-color 0.3s ease;
    z-index: 10;
    margin-top: 100px;
}

.badge.orange {
    background-color: rgba(7, 77, 49, .1);
    color: #074d31;
}

.badge {
    border-radius: 50px;
    padding: 8px 16px 12px;
    font-size: 1rem;
    border-radius: 8px;
    font-weight: normal;
}

.accordion .accordion-item {
    border: 0;
    background-color: rgba(0, 0, 0, 0);
    border-radius: 0;
    border-top: 1px solid #d2d6db;
    color: #161616;
    font-family: "IBMArabic-SemiBold";
    -webkit-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

    .accordion .accordion-item:has(.accordion-collapse.show) button {
        background-color: rgba(0, 0, 0, 0);
    }

.accordion .accordion-button {
    -webkit-box-shadow: none;
    box-shadow: none;
    font-size: 1.25rem;
    background-color: rgba(0, 0, 0, 0);
    border-radius: 0px !important;
    color: #161616;
    font-family: "IBMArabic-SemiBold" !important;
}

    .accordion .accordion-button:after {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        background-size: 16px;
        background-position: center;
        border-radius: 50%;
        height: 1rem;
        width: 1rem;
        background-image: url(/images/arrow_black.svg);
        background-size: contain;
    }

    .accordion .accordion-button[aria-expanded=true]:after {
        background-image: url(/images/arrow_black.svg);
    }

.accordion .accordion-body {
    padding: 1.5rem !important;
    font-family: "IBMArabic-Regular";
}

.accordion .accordion-body {
    padding: 1.5rem !important;
    font-family: "IBMArabic-Regular";
}

.accordion .accordion-item button:hover {
    background-color: #f3f4f6;
}

.accordion .accordion-item button:focus {
    background-color: #e5e7eb;
    border: 2px solid #161616;
}

.RejectReasonDiv .ui-switcher:first-child:before {
    content: 'Rejected' !important;
    left: 2px;
    display: inline-block !important;
}

.RejectReasonDiv .ui-switcher:nth-child(even):before {
    content: 'Rejected' !important;
    left: 2px;
    display:inline-block !important;
}

.ApprovedCheck .ui-switcher[aria-checked=false]:before {
    content: 'Approved';
    left: 2px;
    display: inline-block !important;
}

.ApprovedCheck .ui-switcher[aria-checked=true]:before {
    content: 'Approved';
    right: 2px;
    display: inline-block !important;
}

.NewCheck .ui-switcher[aria-checked=false]:before {
    content: 'New';
    left: 2px;
    display: inline-block !important;
}

.NewCheck .ui-switcher[aria-checked=true]:before {
    content: 'New';
    right: 2px;
    display: inline-block !important;
}


.RejectCheck .ui-switcher[aria-checked=false]:before {
    content: 'Rejected';
    left: 2px;
    display: inline-block !important;
}


.RejectCheck .ui-switcher[aria-checked=true]:before {
    content: 'Rejected';
    right: 2px;
    display: inline-block !important;
}

.AllowAccess .ui-switcher[aria-checked=false]:before {
    content: 'Approved';
    left: 2px;
    display: inline-block !important;
}

.AllowAccess .ui-switcher[aria-checked=true]:before {
    content: 'Approved';
    right: 2px;
    display: inline-block !important;
}

.RejectAccess .ui-switcher[aria-checked=false]:before {
    content: 'Rejected';
    left: 2px;
    display: inline-block !important;
}

.RejectAccess .ui-switcher[aria-checked=true]:before {
    content: 'Rejected';
    right: 2px;
    display: inline-block !important;
}


.Resent .ui-switcher[aria-checked=false]:before {
    content: 'Resubmitted';
    left: 2px;
    display: inline-block !important;
}

.Resent .ui-switcher[aria-checked=true]:before {
    content: 'Resubmitted';
    white-space: nowrap;
    right: 2px;
    display: inline-block !important;
}

.UnderReview .ui-switcher[aria-checked=false]:before {
    content: 'UnderReview';
    left: 2px;
    display: inline-block !important;
}

.UnderReview .ui-switcher[aria-checked=true]:before {
    content: 'UnderReview';
    right: 2px;
    display: inline-block !important;
}

.ui-switcher {
    width: 90px;
    display: inline-block !important;
}

.img_card_img_center {
    top: 30% !important;
    height: auto !important;
    width: auto !important;
    /*width: 100% !important;
    height: 50% !important;*/
}


/***** stamp-card
*/
.green-text {
    color: #1b8354 !important;
}

.digital-stamp-card {
    padding: 8px 32px;
    background: #f3f4f6;
}

@media (max-width: 768px) {
    .digital-stamp-card {
        padding: 8px 16px;
    }
}

.digital-stamp-card .digital-stamp-header {
    display: flex;
    align-items: center;
    gap: 16px;
}

@media (max-width: 768px) {
    .digital-stamp-card .digital-stamp-header {
        flex-wrap: wrap;
    }
}

.digital-stamp-card .digital-stamp-header h6 {
    color: #161616;
    font-size: 14px;
    font-family: "IBMArabic-Bold";
    font-weight: 500;
    line-height: 1.2;
    margin: 0;
}

.digital-stamp-card .digital-stamp-header .btn-digital-stamp-card {
    cursor: pointer;
}

@media (max-width: 768px) {
    .digital-stamp-card .digital-stamp-header .btn-digital-stamp-card {
        flex: 100%;
        margin-right: 33px;
    }
}

.digital-stamp-card .digital-stamp-header .btn-digital-stamp-card span {
    color: #1b8354;
    font-size: 14px;
}

.digital-stamp-card .digital-stamp-header .btn-digital-stamp-card img {
    transition: .3s;
}

.digital-stamp-card .digital-stamp-header.open .btn-digital-stamp-card img {
    transform: rotate(180deg);
}

.digital-stamp-card .digital-stamp-body {
    padding-top: 40px;
    padding-bottom: 32px;
    display: none;
}

.digital-stamp-container {
    margin-bottom: 32px;
    display: flex;
    gap: 32px;
}

@media (max-width: 768px) {
    .digital-stamp-card .digital-stamp-body .digital-stamp-container {
        flex-direction: column;
    }
}

.digital-stamp-card .digital-stamp-body .digital-stamp-container .box {
    display: flex;
    align-items: flex-start;
    gap: 18px;
    width: 50%;
}

    .digital-stamp-card .digital-stamp-body .digital-stamp-container .box h6 {
        margin-bottom: 12px;
        color: #161616;
        font-size: 18px;
        font-family: "IBMArabic-Bold";
        font-weight: 400;
        line-height: 1.2;
    }

    .digital-stamp-card .digital-stamp-body .digital-stamp-container .box .green-text {
        color: #1b8354;
    }

    .digital-stamp-card .digital-stamp-body .digital-stamp-container .box p {
        color: #384250;
        font-size: 16px;
        font-family: "IBMArabic-Regular";
        line-height: 1.7;
    }

.digital-stamp-card .digital-stamp-body .stamp-link-box {
    padding: 8px 28px;
    display: flex;
    align-items: center;
    gap: 12px;
    border-radius: 8px;
    background: #fff;
}

    .digital-stamp-card .digital-stamp-body .stamp-link-box p {
        color: #161616;
        font-size: 16px;
        font-family: "IBMArabic-Regular";
    }

    .digital-stamp-card .digital-stamp-body .stamp-link-box a {
        color: #1b8354;
        font-size: 16px;
        font-family: "IBMArabic-Regular";
        text-decoration: underline;
    }

.footer-links-list__item .footer-link .icon-after-link {
    display: inline-block;
    width: 16px;
    height: 16px;
    background-image: url(https://shc.gov.sa/SHCPortalNewID/2021/UI/Platform/FigmaIcons/LSQ.svg);
    background-size: contain;
    background-repeat: no-repeat;
    margin-right: 8px;
    vertical-align: middle;
    color: #fff;
}
.RejectReasonDiv .ui-switcher:first-child:before {
    content: 'Rejected' !important;
    left: 2px;
}

.RejectReasonDiv .ui-switcher:nth-child(even):before {
    content: 'Rejected' !important;
    left: 2px;
}

.ApprovedCheck .ui-switcher[aria-checked=false]:before {
    content: 'Approved';
    left: 2px;
}

.ApprovedCheck .ui-switcher[aria-checked=true]:before {
    content: 'Approved';
    right: 2px;
}

.NewCheck .ui-switcher[aria-checked=false]:before {
    content: 'New';
    left: 2px;
}

.NewCheck .ui-switcher[aria-checked=true]:before {
    content: 'New';
    right: 2px;
}


.RejectCheck .ui-switcher[aria-checked=false]:before {
    content: 'Rejected';
    left: 2px;
}


.RejectCheck .ui-switcher[aria-checked=true]:before {
    content: 'Rejected';
    right: 2px;
}

.AllowAccess .ui-switcher[aria-checked=false]:before {
    content: 'Approved';
    left: 2px;
}

.AllowAccess .ui-switcher[aria-checked=true]:before {
    content: 'Approved';
    right: 2px;
}

.RejectAccess .ui-switcher[aria-checked=false]:before {
    content: 'Rejected';
    left: 2px;
}

.RejectAccess .ui-switcher[aria-checked=true]:before {
    content: 'Rejected';
    right: 2px;
}


.Resent .ui-switcher[aria-checked=false]:before {
    content: 'Resubmitted';
    left: 2px;
}

.Resent .ui-switcher[aria-checked=true]:before {
    content: 'Resubmitted';
    white-space: nowrap;
    right: 2px;
}

.UnderReview .ui-switcher[aria-checked=false]:before {
    content: 'UnderReview';
    left: 2px;
}

.UnderReview .ui-switcher[aria-checked=true]:before {
    content: 'UnderReview';
    right: 2px;
}

.ui-switcher {
    width: 90px;
}
